Get riskyUser
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Retrieve the properties and relationships of a riskyUser object.
Note: Using the riskyUsers API requires an Azure AD Premium P2 license.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | IdentityRiskyUser.Read.All |
| Delegated (personal Microsoft account) | Not supported. |
| Application | IdentityRiskyUser.Read.All |
HTTP request
GET /riskyUsers/{id}
GET /identityProtection/riskyUsers/{id}
Request headers
| Name | Description |
|---|---|
| Authorization | Bearer {token}. Required. |
| Workbook-Session-Id | Workbook session ID that determines whether changes are persisted. Optional. |
Request body
Do not supply a request body for this method.
Response
If successful, this method returns a 200 OK response code and a riskyUser object in the response body.
Examples
Example 1: Get a risky user
Request
Here is an example of the request.
GET https://graph.microsoft.com/beta/riskyUsers/c2b6c2b9-dddc-acd0-2b39-d519d803dbc3
Response
Here is an example of the response.
HTTP/1.1 200 OK
Content-type: application/json
{
"id": "c2b6c2b9-dddc-acd0-2b39-d519d803dbc3",
"riskLastUpdatedDateTime": "2016-01-29T20:03:57.7872426Z",
"isProcessing": true,
"isDeleted": true,
"riskDetail": "adminConfirmedSigninCompromised",
"riskLevel": "high",
"riskState": "atRisk",
"userDisplayName": "Alex Wilbur",
"userPrincipalName": "alexw@contoso.com"
}
Example 2: Get risky users
Request
Here is an example of the request.
GET https://graph.microsoft.com/beta/identityProtection/riskyUsers
Response
Here is an example of the response.
HTTP/1.1 200 OK
Content-type: application/json
{
"id": "c2b6c2b9-dddc-acd0-2b39-d519d803dbc3",
"riskLastUpdatedDateTime": "2016-01-29T20:03:57.7872426Z",
"isGuest": true,
"isProcessing": true,
"isDeleted": true,
"riskDetail": "adminConfirmedSigninCompromised",
"riskLevel": "high",
"riskState": "atRisk",
"userDisplayName": "Alex Wilbur",
"userPrincipalName": "alexw@contoso.com"
}
Feedback
Submit and view feedback for